Booking table
INFO
Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.
POST /booking-table/create
This method allows adding booking-table into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
name | string | Ha | |
organization_id | string | Ha | |
order | number | Yo‘q |
{
"name": "string",
"organization_id": "67b486d242ed76693cd2cc59",
"order": 0
}Javob
| Maydon | Tur | Tavsif |
|---|---|---|
_id | string | |
name | string | |
order | number | |
organization_id | string |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"_id": "string",
"name": "string",
"order": 0,
"organization_id": "67b486d242ed76693cd2cc59"
},
"time": "2025-05-01T12:00:00Z"
}PUT /booking-table/update
This method allows updating booking-table in the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Yo‘q | |
name | string | Yo‘q | |
order | number | Ha |
{
"_id": "63f8b0c4e4b0d3a2f8e4b0c4",
"name": "string",
"order": 0
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /booking-table/create.
DELETE /booking-table/delete/{id}
Delete a booking-table
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": "ok",
"time": "2025-05-01T12:00:00Z"
}GET /booking-table/get-all
Get all booking-tables
So‘rov parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
organization_id | string | Yo‘q | Organization ID |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"_id": "string",
"name": "string",
"order": 0,
"organization_id": "67b486d242ed76693cd2cc59"
}
],
"time": "2025-05-01T12:00:00Z"
}GET /booking-table/get-by-id/{id}
Get booking-table using its _id
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
Javob tuzilishi quyidagi bilan bir xil: POST /booking-table/create.
GET /booking-table/get-deleted
Get deleted booking-table ids
So‘rov parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
deleted_at | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
"string"
],
"time": "2025-05-01T12:00:00Z"
}Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.